#  RPM spec file for fotoxx
#  ufraw, exiftool, xdg-open: needed for execution but not for build.
#  These are not specified here because package names are different
#  in every distro and because alien ignores such dependencies.

Name:          fotoxx
Summary:       photo editor and collection manager
Version:       11.03
Release:       1
Vendor:        kornelix
Packager:      kornelix2@googlemail.com
License:       GPL3
Group:         Graphics/Photography
Source:        fotoxx-11.03.tar.gz
URL:           http://kornelix.squarespace.com/fotoxx

%description
   Navigate an image collection using a thumbnail browser. View and edit
   images: brightness, color, contrast, tone mapping, trim, rescale, rotate, 
   warp, sharpen, blur, reduce noise, fix red-eyes, HDR, HDF, stack, panorama, 
   fix perspective, make artful transformations, slide show, burn CD/DVD, 
   annotate, e-mail. Edit a selected area or object within an image. Convert 
   camera RAW files to TIFF and edit with 8 or 16-bit color. Edit tags, 
   comments, captions, dates and ratings. Search images by these criteria 
   plus directory and file names.

%prep
%setup -q

%build
make

%install
make uninstall
make install
make menu
make manpage

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local/bin/fotoxx 
/usr/local/share/doc/fotoxx
/usr/local/share/fotoxx
/usr/local/share/applications/kornelix-fotoxx.desktop
/usr/local/share/man/man1/fotoxx*


